RDKit: RDKit::FMCS::RingMatchTableSet Class Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions | List of all members
RDKit::FMCS::RingMatchTableSet Class Reference

`#include <RingMatchTableSet.h>`

## Public Member Functions
| RingMatchTableSet ()
void | clear ()
bool | isQueryBondInRing (unsigned bi) const
const std::vector< size_t > & | getQueryBondRings (unsigned bi) const
bool | isTargetBondInRing (const ROMol *target, unsigned bi) const
const std::vector< size_t > & | getTargetBondRings (const ROMol *target, unsigned bi) const
bool | isEqual (const INT_VECT *r1, const INT_VECT *r2, const ROMol *mol2) const
void | init (const ROMol *query)
void | addTargetBondRingsIndeces (const ROMol *mol2)
void | computeRingMatchTable (const ROMol *query, const ROMol *targetMolecule, const MCSParameters &parameters)

## Detailed Description

Definition at line 17 of file RingMatchTableSet.h.

## Constructor & Destructor Documentation

RDKit::FMCS::RingMatchTableSet::RingMatchTableSet | ( |  | ) |
| inline

Definition at line 65 of file RingMatchTableSet.h.

## Member Function Documentation

void RDKit::FMCS::RingMatchTableSet::addTargetBondRingsIndeces | ( | const ROMol * | mol2 | ) |
| inline

Definition at line 120 of file RingMatchTableSet.h.

References RDKit::RingInfo::bondRings(), RDKit::ROMol::getNumBonds(), and RDKit::ROMol::getRingInfo().

void RDKit::FMCS::RingMatchTableSet::clear | ( |  | ) |
| inline

Definition at line 67 of file RingMatchTableSet.h.

void RDKit::FMCS::RingMatchTableSet::computeRingMatchTable | ( | const ROMol * | query,
|  | const ROMol * | targetMolecule,
|  | const MCSParameters & | parameters
| ) |  |
| inline

Definition at line 133 of file RingMatchTableSet.h.

References RDKit::FMCS::Graph::addAtom(), RDKit::FMCS::Graph::addBond(), RDKit::MCSParameters::AtomCompareParameters, RDKit::MCSParameters::AtomTyper, RDKit::MCSParameters::BondCompareParameters, RDKit::RingInfo::bondRings(), RDKit::MCSParameters::BondTyper, RDKit::MCSBondCompareParameters::CompleteRingsOnly, RDKit::Bond::getBeginAtom(), RDKit::ROMol::getBondWithIdx(), RDKit::Bond::getEndAtom(), RDKit::Atom::getIdx(), RDKit::ROMol::getRingInfo(), RDKit::FMCS::NotSet, RDKit::MCSBondCompareParameters::RingMatchesRingOnly, RDKit::FMCS::SubstructMatchCustom(), and RDKit::FMCS::SubstructMatchCustomTable().

const std::vector<size_t>& RDKit::FMCS::RingMatchTableSet::getQueryBondRings | ( | unsigned | bi | ) | const
| inline

Definition at line 77 of file RingMatchTableSet.h.

const std::vector<size_t>& RDKit::FMCS::RingMatchTableSet::getTargetBondRings | ( | const ROMol * | target,
|  | unsigned | bi
| ) |  | const
| inline

Definition at line 87 of file RingMatchTableSet.h.

void RDKit::FMCS::RingMatchTableSet::init | ( | const ROMol * | query | ) |
| inline

Definition at line 102 of file RingMatchTableSet.h.

References RDKit::RingInfo::bondRings(), RDKit::ROMol::getNumBonds(), and RDKit::ROMol::getRingInfo().

bool RDKit::FMCS::RingMatchTableSet::isEqual | ( | const INT_VECT * | r1,
|  | const INT_VECT * | r2,
|  | const ROMol * | mol2
| ) |  | const
| inline

Definition at line 95 of file RingMatchTableSet.h.

bool RDKit::FMCS::RingMatchTableSet::isQueryBondInRing | ( | unsigned | bi | ) | const
| inline

Definition at line 74 of file RingMatchTableSet.h.

bool RDKit::FMCS::RingMatchTableSet::isTargetBondInRing | ( | const ROMol * | target,
|  | unsigned | bi
| ) |  | const
| inline

Definition at line 81 of file RingMatchTableSet.h.

The documentation for this class was generated from the following file:

- RingMatchTableSet.h